> ## Documentation Index
> Fetch the complete documentation index at: https://docs.endorlabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.endorlabs.com/feedback

```json
{
  "path": "/developers-api/rest-api/about/open-api/index",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# OpenAPI description

> The Endor Labs REST API is fully described in an OpenAPI compliant document.

## About OpenAPI

OpenAPI is a specification for describing REST API interfaces. It describes the API as an open standard to act as a dictionary for an API. OpenAPI enables developers to easily find and discover how to use your API.  For more information, see the [OpenAPI specification documentation](https://spec.openapis.org/oas/v3.1.0).

## Using the Endor Labs OpenAPI description

Because the OpenAPI description is machine readable, you can use it to do things like:

* Generate libraries to facilitate using the REST API
* Validate and test an integration that uses the REST API
* Explore and interact with the REST API using third-party tools, such as [Postman](https://www.postman.com/downloads/)

For example, Endor Labs uses the OpenAPI description to generate the REST API reference documentation for each endpoint.

For more information, see the [Endor Labs OpenAPI documentation](/api-reference/).

<Card horizontal title="Download REST API specifications" icon="file-code">
  You can download the Endor Labs REST API specifications directly from the docs site. Each file is served as a static asset.

  * [openapi.v3.json](https://docs.endorlabs.com/api-reference/openapi.v3.json): Compact OpenAPI 3.x specification that is suitable for most use cases.
  * [openapi.full.v3.json](https://docs.endorlabs.com/api-reference/openapi.full.v3.json): Full OpenAPI 3.x specification that includes all schemas and operations.
  * [openapiv2.swagger.json](https://docs.endorlabs.com/api-reference/openapiv2.swagger.json): Full Swagger 2.0 specification for tools that do not yet support OpenAPI 3.x.
</Card>
